﻿using System;
using System.Windows.Forms;

namespace TEST {
  public partial class Mainform : Form {
    int FireCount1 = 0;
    SecondaryForm secfrm = null;

    public Mainform() {
      InitializeComponent();

      // Sets a handler for the MouseMove event for the WinformsMap object     
      map.MouseMove += new System.Windows.Forms.MouseEventHandler(map_MouseMove);
    }

    private void map_MouseMove(object sender, MouseEventArgs e) {
      FireCount1++;
      status.Text = FireCount1.ToString();

      if (secfrm != null)
        secfrm.DoSomethingHere();
    }

    private void button1_Click(object sender, EventArgs e) {
      if (secfrm == null) {
        // Opens the secondary form
        secfrm = new SecondaryForm();
        secfrm.FormClosing += new FormClosingEventHandler(secfrm_FormClosing);
        secfrm.Show();
      }
    }

    void secfrm_FormClosing(object sender, FormClosingEventArgs e) {
      secfrm = null;
    }

  }

}
